View Issue Details

IDProjectCategoryView StatusLast Update
0001673FreeCADFeaturepublic2019-01-17 23:56
Reportermghansen256Assigned Towmayer 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSKubuntuOS Version14.04
Product Version0.14 
Target Version0.18Fixed in Version0.18 
Summary0001673: Assign already assigned keyboard shortcuts without searching old assigned action
DescriptionWhen assigning keyboard shortcuts to commands in the customize dialog, a message appears when trying to assign a shortcut that is already assigned: "The shortcut 'Ctrl+D' is already assigned to 'Appearance...'. Please define another shortcut."

IMHO it would be useful to have a button "Reassign" to clear the shortcut defined for "Appearance..." and instead assign it to the command that the user wanted to assign it to. This saves the time of searching through the menus until the shortcut is found. It would also be good to display in this message to which menu the action belongs.

Additional InformationOS: Ubuntu 14.04.1 LTS
Word size: 64-bit
Version: 0.15.3844 (Git)
Branch: master
Hash: 28490532f50135e2490f94cdf401b613a94b1ec2
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
SoQt version: 1.6.0a
OCC version: 6.7.0

PS: There is no version 0.15 selectable in the product version field yet.
Tagskeyboard, shortcuts

Issue History

Date Modified Username Field Change
2014-08-08 18:35 mghansen256 New Issue
2017-01-10 18:48 wmayer Assigned To => wmayer
2017-01-10 18:48 wmayer Status new => assigned
2017-02-04 10:26 Kunda1 Tag Attached: keyboard
2017-02-04 10:26 Kunda1 Tag Attached: shortcuts
2018-02-05 16:40 Kunda1 Target Version => 0.18
2019-01-17 23:56 wmayer Status assigned => closed
2019-01-17 23:56 wmayer Resolution open => fixed
2019-01-17 23:56 wmayer Fixed in Version => 0.18
2019-01-17 23:56 wmayer Note Added: 0012454